Commit 77e9af0b authored by Laurent Bigonville's avatar Laurent Bigonville

Bump debhelper compatibility to 12

This will switch the package to dh_installsystemd and prevent the
service to start on machines that are virtual machines with virtio
channel enabled

Gbp-Dch: Full
parent 5ca17ca3
......@@ -3,7 +3,7 @@ Priority: optional
Maintainer: Liang Guo <guoliang@debian.org>
Build-Depends: autoconf,
automake,
debhelper (>= 10),
debhelper (>= 12),
desktop-file-utils,
libasound2-dev (>= 1.0.22),
libdbus-1-dev,
......@@ -29,6 +29,7 @@ Vcs-Browser: https://salsa.debian.org/debian/spice-vdagent
Package: spice-vdagent
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Spice agent for Linux
spice-vdagent is the spice agent for Linux, it is used in conjunction with
spice-compatible hypervisor, its feature includes:
......
......@@ -20,7 +20,7 @@ override_dh_auto_configure:
--with-session-info=systemd \
--with-gtk=yes
%:
dh $@ --with systemd
dh $@
override_dh_install:
dh_install
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment